osmium::geom::IdentityProjection Class Reference

`#include <factory.hpp>`

## Public Member Functions

Coordinates | operator() (osmium::Location location) const
int | epsg () const noexcept
std::string | proj_string () const

## Detailed Description

This pseudo projection just returns its WGS84 input unchanged. Used as a template parameter if a real projection is not needed.

## Member Function Documentation

int osmium::geom::IdentityProjection::epsg | ( |  | ) | const

inline noexcept

Coordinates osmium::geom::IdentityProjection::operator() | ( | osmium::Location | location | ) | const

inline

std::string osmium::geom::IdentityProjection::proj_string | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- osmium/geom/factory.hpp